* {
    box-sizing: border-box;
}

.parent {
    max-height: 100%;
    max-width: 992px;
    background: #a69595;
}

div::after {
    content: " ";
    clear: both;
    display: block;
}

.firstRow {
    margin: 1%;
    width: 48%;
    height: 100px;
    background: red;
    border: 1px solid black;
    float: left;
}

.secondRow {
    margin: 1%;
    width: 23%;
    height: 100px;
    background: green;
    border: 1px solid black;
    float: left;
}

.thirdRow {
    margin: 1%;
    width: 31.3333%;
    height: 100px;
    background: aqua;
    border: 1px solid black;
    float: left;
}

.fourthRow {
    margin: 1%;
    width: 9.11%;
    height: 100px;
    background: blueviolet;
    border: 1px solid black;
    float: left;
}

@media (max-width: 768px){
    .firstRow {
        width: 99%;
        margin: 0.5%;
    }
    .secondRow {
        width: 49%;
        margin: 0.5%;
    }
    .thirdRow {
        width: 99%;
        margin: 0.5%;
    }
    .fourthRow {
        width: 32.333%;
        margin: 0.5%;
    }
}